# Ecosystem API — Collection

> Canonical URL: https://developers.apideck.com/apis/ecosystem/reference#tag/Collection

This document contains every operation on the `Collection` resource.

---

# List collections

> **Ecosystem API** · `GET /ecosystems/{ecosystem_id}/collections`
> Canonical URL: https://developers.apideck.com/apis/ecosystem/reference#tag/Collection/operation/collectionsAll

## Learn more

- [How does cursor pagination work?](https://developers.apideck.com/glossary#cursor)

List collections

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ecosystem_id` | path | `string` | Yes |  |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of records to return |

### Responses

#### 200 — Collections

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `array of object` **required**
  - `id` `string`
  - `card_background_color` `string`
  - `card_background_image` `object`
    - `id` `string` — example: `12345`
    - `content_type` `string` — example: `application/jpeg`
    - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
    - `url` `string` **required**
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `card_columns` `integer`
  - `card_style` `string`
  - `count` `integer` — example: `1`
  - `description` `string`
  - `logo` `object`
    - `id` `string` — example: `12345`
    - `content_type` `string` — example: `application/jpeg`
    - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
    - `url` `string` **required**
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `name` `string` **required**
  - `hidden_from_homepage` `boolean`
  - `show_max_items_homepage` `integer`
  - `sequence` `integer`
  - `slug` `string` **required**
  - `translations` `array of object`
    - `key` `string` **required**
    - `locale` `string` **required**
    - `value` `string`
  - `visible` `boolean` **required**

---

# Get collection

> **Ecosystem API** · `GET /ecosystems/{ecosystem_id}/collections/{id}`
> Canonical URL: https://developers.apideck.com/apis/ecosystem/reference#tag/Collection/operation/collectionsOne

Get collection

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ecosystem_id` | path | `string` | Yes |  |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |

### Responses

#### 200 — Collection

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `object` **required**
  - `id` `string`
  - `card_background_color` `string`
  - `card_background_image` `object`
    - `id` `string` — example: `12345`
    - `content_type` `string` — example: `application/jpeg`
    - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
    - `url` `string` **required**
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `card_columns` `integer`
  - `card_style` `string`
  - `count` `integer` — example: `1`
  - `description` `string`
  - `logo` `object`
    - `id` `string` — example: `12345`
    - `content_type` `string` — example: `application/jpeg`
    - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
    - `url` `string` **required**
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `name` `string` **required**
  - `hidden_from_homepage` `boolean`
  - `show_max_items_homepage` `integer`
  - `sequence` `integer`
  - `slug` `string` **required**
  - `translations` `array of object`
    - `key` `string` **required**
    - `locale` `string` **required**
    - `value` `string`
  - `visible` `boolean` **required**

---

# List collection listings

> **Ecosystem API** · `GET /ecosystems/{ecosystem_id}/collections/{id}/listings`
> Canonical URL: https://developers.apideck.com/apis/ecosystem/reference#tag/Collection/operation/collectionListingsAll

## Learn more

- [How does cursor pagination work?](https://developers.apideck.com/glossary#cursor)

List collection listings

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ecosystem_id` | path | `string` | Yes |  |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of records to return |

### Responses

#### 200 — Listings

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `array of object` **required**
  - `id` `string` — example: `12345`
  - `external_id` `string` — example: `12345`
  - `automate_id` `string`
  - `blendr_id` `string`
  - `card_background_color` `string`
  - `card_background_image` `object`
    - `id` `string` — example: `12345`
    - `content_type` `string` — example: `application/jpeg`
    - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
    - `url` `string` **required**
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `categories` `array of object`
    - `id` `string`
    - `description` `string`
    - `name` `string` **required**
    - `slug` `string` **required**
    - `count` `integer` — example: `1`
    - `translations` `array of object`
      - `key` `string` **required**
      - `locale` `string` **required**
      - `value` `string`
    - `listing_description_text_template` `string`
    - `listing_pricing_text_template` `string`
    - `listing_features_text_template` `string`
    - `logo` `object`
      - `content_type` `string`
      - `id` `string`
      - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
      - `url` `string` **required**
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `cloud_service_id` `string`
  - `combidesk_id` `string`
  - `collections` `array of object`
    - `id` `string`
    - `card_background_color` `string`
    - `card_background_image` `object`
      - `id` `string` — example: `12345`
      - `content_type` `string` — example: `application/jpeg`
      - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
      - `url` `string` **required**
      - `created_at` `string` — format: `date-time`
      - `updated_at` `string` — format: `date-time`
    - `card_columns` `integer`
    - `card_style` `string`
    - `count` `integer` — example: `1`
    - `description` `string`
    - `logo` `object`
      - `id` `string` — example: `12345`
      - `content_type` `string` — example: `application/jpeg`
      - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
      - `url` `string` **required**
      - `created_at` `string` — format: `date-time`
      - `updated_at` `string` — format: `date-time`
    - `name` `string` **required**
    - `hidden_from_homepage` `boolean`
    - `show_max_items_homepage` `integer`
    - `sequence` `integer`
    - `slug` `string` **required**
    - `translations` `array of object`
      - `key` `string` **required**
      - `locale` `string` **required**
      - `value` `string`
    - `visible` `boolean` **required**
  - `description` `string`
  - `detail_page_disabled` `boolean`
  - `features` `string`
  - `integromat_id` `string`
  - `logo` `object`
    - `content_type` `string`
    - `id` `string`
    - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
    - `url` `string` **required**
  - `meta_tag_description` `string`
  - `meta_tag_keywords` `string`
  - `meta_tag_title` `string`
  - `microsoft_flow_id` `string`
  - `name` `string` **required**
  - `native_integration` `boolean`
  - `native_integration_link` `string`
  - `media` `array of object`
    - `id` `string` — example: `12345`
    - `caption` `string` — example: `Media`
    - `type` `string` — enum: `SCREENSHOT`, `VIDEO`
    - `url` `string` **required**
    - `sequence` `integer` — example: `1`
    - `translations` `array of object`
      - `key` `string` **required**
      - `locale` `string` **required**
      - `value` `string`
  - `partner` `object`
    - `id` `string` — example: `12345`
    - `company` `string` **required**
    - `contacts` `array of object`
      - `id` `string` — example: `12345`
      - `first_name` `string`
      - `last_name` `string`
      - `name` `string` **required**
      - `email` `string`
      - `role` `string`
      - `linked_in` `string`
      - `twitter` `string`
    - `icon` `object`
      - `id` `string` — example: `12345`
      - `content_type` `string` — example: `application/jpeg`
      - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
      - `url` `string` **required**
      - `created_at` `string` — format: `date-time`
      - `updated_at` `string` — format: `date-time`
    - `listed` `string`
    - `twitter` `string`
    - `website` `string`
    - `created_at` `string` — format: `date-time`
    - `updated_at` `string` — format: `date-time`
  - `piesync_id` `string`
  - `pricing` `string`
  - `products` `array of object`
    - `id` `string` — example: `12345`
    - `name` `string` **required**
    - `slug` `string` **required**
    - `description` `string`
    - `visible` `boolean` **required**
    - `sequence` `integer` — example: `1`
    - `count` `integer` — example: `1`
    - `logo` `object`
      - `id` `string` — example: `12345`
      - `content_type` `string` — example: `application/jpeg`
      - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
      - `url` `string` **required**
      - `created_at` `string` — format: `date-time`
      - `updated_at` `string` — format: `date-time`
    - `translations` `array of object`
      - `key` `string` **required**
      - `locale` `string` **required**
      - `value` `string`
  - `published` `boolean`
  - `published_at` `string` — format: `date-time`
  - `screenshots` `array of object`
    - `id` `string` — example: `12345`
    - `caption` `string` — example: `Screenshot`
    - `file` `object`
      - `id` `string` — example: `12345`
      - `content_type` `string` — example: `application/jpeg`
      - `type` `string` — enum: `LOGO`, `BANNER`, `SCREENSHOT`
      - `url` `string` **required**
      - `created_at` `string` — format: `date-time`
      - `updated_at` `string` — format: `date-time`
    - `translations` `array of object`
      - `key` `string` **required**
      - `locale` `string` **required**
      - `value` `string`
  - `segment_id` `string`
  - `slug` `string` **required**
  - `sticky` `boolean`
  - `tag_line` `string`
  - `third_party_integration` `boolean`
  - `third_party_integration_link` `string`
  - `translations` `array of object`
    - `key` `string` **required**
    - `locale` `string` **required**
    - `value` `string`
  - `tray_io_id` `string`
  - `unify_connector_id` `string`
  - `upcoming` `boolean`
  - `zapier_id` `string`
  - `created_at` `string` — format: `date-time`
  - `updated_at` `string` — format: `date-time`
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://api.apideck.com/ecosystem/123abc/listings?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` **required** — Link to navigate to the current page through the API — example: `https://api.apideck.com/ecosystem/123abc/listings`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://api.apideck.com/ecosystem/123abc/listings?cursor=em9oby1jcm06OnBhZ2U6OjM`

---
